#define _ADALLOCC_CPP_
#define _ADOLC_SRC_
/*
   --------------------------------------------------------------
   File adallocC.C of ADOL-C version 1.8.0        as of Nov/30/98
   --------------------------------------------------------------
   C++ allocation of arrays of doubles in several dimensions 

   Last changes:
        981130 olvo: newly created.
   --------------------------------------------------------------
*/

/****************************************************************************/
/*                                                                 INCLUDES */
#include "dvlparms.h" /* Developers Parameters */
#include "usrparms.h" /* Users Parameters      */
#include "adalloc.h"


/****************************************************************************/
/*                                              MEMORY MANAGEMENT UTILITIES */

/*--------------------------------------------------------------------------*/
/* This function allocates a vector */
double* myalloc(int n)
{ return myalloc1(n);
  
  /* To deallocate an array set up by   A = myalloc(n)  */
  /* use  free((char*)A); */
}

/*--------------------------------------------------------------------------*/
/* This function allocates row matrices contiguously  */
double** myalloc(int m,int n)
{ return myalloc2(m,n);
  
  /* To deallocate an array set up by   A = myalloc(m,n)  */
  /*  use  free((char*)*A); free((char*)A); in that order */
}

/*--------------------------------------------------------------------------*/
/* This function allocates 3-tensors contiguously */
double*** myalloc(int m,int n,int p)
{ return  myalloc3(m,n,p);
  
  /* To deallocate an array set up by  A = myalloc(m,n,p)     */
  /* use free((char*)**A); free((char*)*A); free((char*)A) ;  */
}


/****************************************************************************/
/*                                                                THAT'S ALL*/
#undef _ADOLC_SRC_
#undef _ADALLOCC_CPP_

